using System;
using System.ComponentModel.DataAnnotations;
using Model.Base;

namespace Dto
{
    /// <summary>
    /// 修改
    /// </summary>
    public class ApiInfoUpdateDto
    {
        /// <summary>
        /// 分组
        /// </summary>
        public int groupId { get; set; }


        /// <summary>
        /// 接口名称
        /// </summary>
        [Required(ErrorMessage = "接口名称不能为空")]
        public string? apiName { get; set; }


        /// <summary>
        /// 接口关键字
        /// </summary>
        [Required(ErrorMessage = "接口关键字不能为空")]
        public string? apiKey { get; set; }


        /// <summary>
        /// 接口主机头
        /// </summary>
        [Required(ErrorMessage = "接口主机头不能为空")]
        public string? apiHost { get; set; }


        /// <summary>
        /// 接口端口号
        /// </summary>
        [Required(ErrorMessage = "接口端口号不能为空")]
        public int apiPort { get; set; }


        /// <summary>
        /// 接口路由
        /// </summary>
        [Required(ErrorMessage = "接口路由不能为空")]
        public string? apiRouter { get; set; }


        /// <summary>
        /// 接口请求方式
        /// </summary>
        public string? apiMethod { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }



    }
}
