using Newtonsoft.Json;

namespace Vo.Admin
{
    /// <summary>
    /// 详情
    /// </summary>
    public class GetPriListQueryVo
    {
        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        public int projectId { get; set; }


        /// <summary>
        /// 奖励名称
        /// </summary>
        public string? prizeName { get; set; }


        /// <summary>
        /// 奖励代码
        /// </summary>
        public string? prizeCode { get; set; }


        /// <summary>
        /// 奖励比例
        /// </summary>
        public decimal prizePercent { get; set; }


        /// <summary>
        /// 奖励固定金额
        /// </summary>
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 条件模式
        /// </summary>
        public string conditionMode { get; set; }


        /// <summary>
        /// 是否递归
        /// </summary>
        public bool recursionFlag { get; set; }


        /// <summary>
        /// 奖励内容
        /// </summary>
        public string prizeContent { get; set; }


        /// <summary>
        /// 入参字段
        /// </summary>
        public string requestParamField { get; set; }


        /// <summary>
        /// 奖励金额来源数据
        /// </summary>
        public string? prizeSourceField { get; set; }


        /// <summary>
        /// 分类
        /// </summary>
        public string? kind { get; set; }


        /// <summary>
        /// 奖励金额来源数据类型
        /// </summary>
        public string? prizeSourceFieldType { get; set; }


        /// <summary>
        /// 奖励发放对象
        /// </summary>
        public int prizeObj { get; set; }


        /// <summary>
        /// 条件匹配列表
        /// </summary>
        public string? queryTableIdList { get; set; }


        /// <summary>
        /// 重复发放
        /// </summary>
        public bool repeatFlag { get; set; }



    }
}
