using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriDatabaseSetService : IBaseService<PriDatabaseSet>
    {
        /// <summary>
        /// 数据库连接配置-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriDatabaseSetListVo> getPriDatabaseSetList([FromQuery] PagerInfo page, [FromQuery] PriDatabaseSet param);


        /// <summary>
        /// 数据库连接配置-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriDatabaseSetDicVo> getPriDatabaseSetDic([FromQuery] PagerInfo page);



    }
}
