using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriPrizeObjectFieldService : IBaseService<PriPrizeObjectField>
    {
        /// <summary>
        /// 奖励发放对象字段-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriPrizeObjectFieldListVo> getPriPrizeObjectFieldList([FromQuery] PagerInfo page, [FromQuery] PriPrizeObjectField param);



    }
}
