using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriProjectParamService : IBaseService<PriProjectParam>
    {
        /// <summary>
        /// 入参表-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriProjectParamListVo> getPriProjectParamList([FromQuery] PagerInfo page, [FromQuery] PriProjectParam param);



    }
}
