﻿using Microsoft.AspNetCore.Mvc;
using SummerBoot.Feign.Attributes;
using Vo;

namespace Feign
{
    [FeignClient(Url = "http://localhost:5296")]
    public interface SysDeptFeign
    {
        [GetMapping("/feign/dept/query")]
        Task<DeptFeignVo> GetDeptInfo([Query] long id);
    }
}
