namespace Model
{
    /// <summary>
    /// 第三方平台设置 sys_param
    /// </summary>
    [SugarTable("sys_param", "第三方平台设置")]
    [Tenant("0")]
    public class SysParam
    {
        /// <summary>
        /// Id
        /// </summary>
        [SugarColumn(ColumnDescription = "Id", ColumnName = "id")]
        public int Id { get; set; }


        /// <summary>
        /// 自动缩略图质量
        /// </summary>
        [SugarColumn(ColumnDescription = "自动缩略图质量", ColumnName = "upload_auto_zoom_quality")]
        public int UploadAutoZoomQuality { get; set; }


        /// <summary>
        /// 是否上传到OSS
        /// </summary>
        [SugarColumn(ColumnDescription = "是否上传到OSS", ColumnName = "upload_oss")]
        public bool UploadOss { get; set; }


        /// <summary>
        /// Logo图片
        /// </summary>
        [SugarColumn(ColumnDescription = "Logo图片", Length = 200, ColumnName = "logo")]
        public string Logo { get; set; }


        /// <summary>
        /// 网站统计代码
        /// </summary>
        [SugarColumn(ColumnDescription = "网站统计代码", ColumnName = "web_stat_code")]
        public string WebStatCode { get; set; }


        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(ColumnDescription = "联系电话", Length = 100, ColumnName = "phone")]
        public string Phone { get; set; }


        /// <summary>
        /// 企业地址
        /// </summary>
        [SugarColumn(ColumnDescription = "企业地址", Length = 100, ColumnName = "address")]
        public string Address { get; set; }


        /// <summary>
        /// 版权信息
        /// </summary>
        [SugarColumn(ColumnDescription = "版权信息", ColumnName = "right_info")]
        public string RightInfo { get; set; }


        /// <summary>
        /// 水印图片
        /// </summary>
        [SugarColumn(ColumnDescription = "水印图片", Length = 200, ColumnName = "upload_water_path")]
        public string UploadWaterPath { get; set; }


        /// <summary>
        /// 水印位置
        /// </summary>
        [SugarColumn(ColumnDescription = "水印位置", Length = 15, ColumnName = "upload_water_position")]
        public string UploadWaterPosition { get; set; }


        /// <summary>
        /// 自动水印
        /// </summary>
        [SugarColumn(ColumnDescription = "自动水印", ColumnName = "upload_auto_water")]
        public bool UploadAutoWater { get; set; }


        /// <summary>
        /// 自动缩略图高
        /// </summary>
        [SugarColumn(ColumnDescription = "自动缩略图高", ColumnName = "upload_auto_zoom_height")]
        public int UploadAutoZoomHeight { get; set; }


        /// <summary>
        /// 自动缩略图宽
        /// </summary>
        [SugarColumn(ColumnDescription = "自动缩略图宽", ColumnName = "upload_auto_zoom_width")]
        public int UploadAutoZoomWidth { get; set; }


        /// <summary>
        /// 自动缩略图
        /// </summary>
        [SugarColumn(ColumnDescription = "自动缩略图", ColumnName = "upload_auto_zoom_")]
        public bool UploadAutoZoom { get; set; }


        /// <summary>
        /// 允许最大上传
        /// </summary>
        [SugarColumn(ColumnDescription = "允许最大上传", ColumnName = "upload_max_size")]
        public int UploadMaxSize { get; set; }


        /// <summary>
        /// 允许上传类型
        /// </summary>
        [SugarColumn(ColumnDescription = "允许上传类型", Length = 100, ColumnName = "upload_ext")]
        public string UploadExt { get; set; }


        /// <summary>
        /// 项目名称
        /// </summary>
        [SugarColumn(ColumnDescription = "项目名称", Length = 50, ColumnName = "project_name")]
        public string ProjectName { get; set; }


        /// <summary>
        /// 官网地址
        /// </summary>
        [SugarColumn(ColumnDescription = "官网地址", Length = 200, ColumnName = "web_url")]
        public string WebUrl { get; set; }



    }
}