using Newtonsoft.Json;

namespace Vo.Admin
{
    /// <summary>
    /// 详情
    /// </summary>
    public class GetPriListAmountSetQueryVo
    {
        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }


        /// <summary>
        /// 配置ID
        /// </summary>
        public int listId { get; set; }


        /// <summary>
        /// 奖励比例
        /// </summary>
        public decimal prizePercent { get; set; }


        /// <summary>
        /// 奖励固定金额
        /// </summary>
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 奖励金额来源数据
        /// </summary>
        public string prizeSourceField { get; set; }


        /// <summary>
        /// 奖励代码
        /// </summary>
        public string prizeCode { get; set; }


        /// <summary>
        /// 重复发放
        /// </summary>
        public bool repeatFlag { get; set; }


        /// <summary>
        /// 来源数据索引
        /// </summary>
        public int prizeSourceFieldIndex { get; set; }



    }
}
