using Newtonsoft.Json;

namespace Vo.Admin
{
    /// <summary>
    /// 列表
    /// </summary>
    public class GetPriRecursionStartConditionListVo
    {
        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }


        /// <summary>
        /// 递归配置ID
        /// </summary>
        public int loopSetId { get; set; }


        /// <summary>
        /// 条件返回字段
        /// </summary>
        public string returnFieldId { get; set; }


        /// <summary>
        /// 匹配条件
        /// </summary>
        public string fieldQueryKind { get; set; }


        /// <summary>
        /// 匹配方式
        /// </summary>
        public string fieldQueryModel { get; set; }


        /// <summary>
        /// 匹配值
        /// </summary>
        public string fieldQueryValue { get; set; }


        /// <summary>
        /// 匹配值类型
        /// </summary>
        public string fieldQueryValueType { get; set; }


        /// <summary>
        /// 奖励比例
        /// </summary>
        public decimal prizePercent { get; set; }


        /// <summary>
        /// 奖励固定金额
        /// </summary>
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 开始层级
        /// </summary>
        public int startIndex { get; set; }


        /// <summary>
        /// 分组
        /// </summary>
        public string groupNo { get; set; }



    }
}
