using Newtonsoft.Json;

namespace Vo
{
    /// <summary>
    /// 列表
    /// </summary>
    public class SysDictItemListVo
    {
        /// <summary>
        /// 编号
        /// </summary>
        public long id { get; set; }


        /// <summary>
        /// 字典ID
        /// </summary>
        public long dictId { get; set; }


        /// <summary>
        /// 字典项值
        /// </summary>
        public string itemValue { get; set; }


        /// <summary>
        /// 字典项名称
        /// </summary>
        public string label { get; set; }


        /// <summary>
        /// 字典类型
        /// </summary>
        public string dictType { get; set; }


        /// <summary>
        /// 字典项描述
        /// </summary>
        public string description { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        public string createBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        public string updateBy { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// 备注信息
        /// </summary>
        public string remarks { get; set; }



    }
}
