using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriRecursionEndTableService : IBaseService<PriRecursionEndTable>
    {
        /// <summary>
        /// 递归停止条件对象表-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriRecursionEndTableListVo> getPriRecursionEndTableList([FromQuery] PagerInfo page, [FromQuery] PriRecursionEndTable param);


        /// <summary>
        /// 递归停止条件对象表-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriQueryTableDicVo> getPriQueryTableDic([FromQuery] PagerInfo page);



    }
}
