using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriRecursionStartReturnFieldService : IBaseService<PriRecursionStartReturnField>
    {
        /// <summary>
        /// 递归开始条件返回字段-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriRecursionStartReturnFieldListVo> getPriRecursionStartReturnFieldList([FromQuery] PagerInfo page, [FromQuery] PriRecursionStartReturnField param);



    }
}
