using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriRequestLogService : IBaseService<PriRequestLog>
    {
        /// <summary>
        /// 请求和响应日志-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriRequestLogListVo> getPriRequestLogList([FromQuery] PagerInfo page, [FromQuery] PriRequestLog param);



    }
}
